KDE 4.2 PyKDE API Reference

- KDE's Python API

# KFileMetaInfo Class Reference

`from PyKDE4.kio import *`

## Detailed Description

KFileMetaInfo provides metadata extracted from a file or other resource.

When instantiating an instance of this class, the metadata related to it will be retrieved and stored in the instance. The data can be inspected through KFileMetaDataItem objects.

## Enumerations

What | { Fastest, TechnicalInfo, ContentInfo, ExternalSources, Thumbnail, LinkedData, Everything } Typesafe wrapper: WhatFlags

## Methods

| __init__ (self, QString path, QString mimetype=QString(), KFileMetaInfo.WhatFlags w=KFileMetaInfo.Everything)
| __init__ (self, KUrl url)
| __init__ (self)
| __init__ (self, KFileMetaInfo a0)
bool | applyChanges (self)
KFileMetaInfoGroupList | groups (self)
bool | isValid (self)
KFileMetaInfoItem | item (self, QString key)
KFileMetaInfoItem | item (self, QString key)
QHash<QString,KFileMetaInfoItem> | items (self)
QStringList | keys (self)
KFileMetaInfoGroupList | preferredGroups (self)
QStringList | preferredKeys (self)
KFileMetaInfoGroupList | supportedGroups (self)
QStringList | supportedKeys (self)
KUrl | url (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | path,
|  | QString | mimetype=QString(),
|  | KFileMetaInfo.WhatFlags | w=KFileMetaInfo.Everything
| ) |  |  |

Construct a KFileMetaInfo that contains metainformation about the resource pointed to by path.

__init__ | ( | self, |
|  | KUrl | url
| ) |  |  |

Construct a KFileMetaInfo that contains metainformation about the resource pointed to by url.

__init__ | ( |  | self ) |

Construct an empty, invalid KFileMetaInfo instance.

__init__ | ( | self, |
|  | KFileMetaInfo | a0
| ) |  |  |

Construct a KFileMetaInfo instance from another one.

bool applyChanges | ( |  | self ) |

Save the changes made to this KFileMetaInfo instance.

KFileMetaInfoGroupList groups | ( |  | self ) |

bool isValid | ( |  | self ) |

KFileMetaInfoItem item | ( | self, |
|  | QString | key
| ) |  |  |

KFileMetaInfoItem item | ( | self, |
|  | QString | key
| ) |  |  |

QHash<QString,KFileMetaInfoItem> items | ( |  | self ) |

Retrieve all the items.

QStringList keys | ( |  | self ) |

KFileMetaInfoGroupList preferredGroups | ( |  | self ) |

Deprecated

QStringList preferredKeys | ( |  | self ) |

Deprecated

KFileMetaInfoGroupList supportedGroups | ( |  | self ) |

Deprecated

QStringList supportedKeys | ( |  | self ) |

Deprecated

KUrl url | ( |  | self ) |

## Enumeration Documentation

What

This is used to specify what a KFileMetaInfo object should read, so you can specify if you want to read "expensive" items or not. This is like a preset which can be customized by passing additional parameters to constructors.

Note:
  It is necessary to wrap members of this enumeration in a `WhatFlags` instance when passing them to a method as group of flags. For example: `WhatFlags( Fastest | TechnicalInfo)`

Enumerator:

  Fastest = 0x1 |
  TechnicalInfo = 0x4 |
  ContentInfo = 0x8 |
  ExternalSources = 0x10 |
  Thumbnail = 0x20 |
  LinkedData = 0x80 |
  Everything = 0xffff |